angular.module('ngApp').controller('menuCtrl', function ($scope, $http, $sce, $timeout, $ionicScrollDelegate) {

	$scope.menus = [];
	$scope.menus.content = '';

	// Wait until the sl var is init
	$scope.$watch('sl', function () {
		if (typeof $scope.sl != 'undefined' && $scope.sl != '')
			$scope.showMenus(false);
	});

	$scope.showMenus = function () {
		if (isOnline()) {
			$scope.sliderLoading = true;
			$http({ method: 'GET', noLoading: false, url: url + '/api/v1/widget/route/menu/getMenus/' + $scope.sl })
				.success(function (data) {
					if (data.menus) {
						$scope.menus = data;
						$scope.menus.content = $sce.trustAsHtml($scope.menus.content);

						var loop = $scope.menus.data.slider.effect == 'cube' ? false : true;
						$scope.slideroptions = {
							preventClicks: false,
							preventClicksPropagation: false,
							autoplayDisableOnInteraction: false,
							loop: loop,
							speed: 400,
							autoplay: $scope.menus.data.slider.duration * 1000,
							effect: $scope.menus.data.slider.effect
						};
						setTimeout(function () {
							$ionicScrollDelegate.scrollTo(6000, 0, false);
						}, 100);
					}

					$timeout(function () {
						$scope.sliderLoading = false;
					}, 5000);
				})
				.error(function () {
					checkYourInternet();
					$scope.sliderLoading = false;
				});
		} else {
			checkYourInternet();
		}
	};

	setTimeout(function () {
		$ionicScrollDelegate.scrollTo(6000, 0, false);
	}, 100);
});
